=== debian/changelog ===
pytango (9.3.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Really fix the tests suite on IPv6-only buildds. (Closes: #1030297)

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 21 Feb 2023 15:38:03 +0100

pytango (9.3.6-2) unstable; urgency=medium

  * Team upload.
  * Patch: Python 3.11 support. (Closes: #1024078)
  * Build-Depend on python3-pytest-forked instead of xdist. (It replaced the
    --boxed option)
  * Patch: Use --forked instead of --boxed.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 24 Dec 2022 16:15:45 -0400

pytango (9.3.6-1) unstable; urgency=medium

  [ Sandor Bodo-Merle ]
  * debian/patches
     - add patch to avoid test failure on IPv6 only buildd (Closes: #1014179)
  * d/control: build depend on cppzmq-dev (Closes: #1019091)
  * New upstream version 9.3.6

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 15 Oct 2022 15:01:09 +0200

pytango (9.3.4-2) unstable; urgency=medium

  * d/t/control: added python3-pytest-forked as explained by the upstream

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 01 Jul 2022 16:01:09 +0200

pytango (9.3.4-1) unstable; urgency=medium

  [ Sandor Bodo-Merle ]
  * debian/control:
    - update standars version to 4.6.1 (no changes required)
  * New upstream version 9.3.4
  * debian/patches
     - Drop 0002-deal-with-sphinx-only-via-the-debian-rules.patch
     - Drop 0003-doc-update-start-page.patch
     - Drop 0004-fix-syntax-warning.patch

  [ Picca Frédéric-Emmanuel ]
  * d/control: Moved sphinx-common to B-D-I and added <!nodoc> profile
  * d/control: Added python3-psutil <!nocheck> and tango-test <!nocheck>
  * d/rules: Run tests using pytest
  * Added autopkgtests

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 23 Jun 2022 18:29:29 +0200
