=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=tango

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -rf build
	rm -rf *.egg-info
	rm -rf build

execute_after_dh_auto_build-indep:
	dh_auto_build -- -s custom --build-args="PYTHONPATH={build_dir} {interpreter} -m sphinx -N -bhtml doc build/html"

override_dh_auto_test:
	PATH="/usr/lib/tango/:$$PATH" dh_auto_test

execute_after_dh_installdocs-indep:
	dh_installdocs -p python-tango-doc "build/html"
	dh_installdocs -p python-tango-doc "examples"
