## pytango 9.4.1

=== debian/changelog ===
pytango (9.4.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 9.4.1
  * d/patches:
    - Update 0001-Use-jquery-from-the-archive.patch
    - Update 0002-Added-gevent-to-instal_requires.patch
    - Remove 0004-Fix-python-3.11-compatibility.patch, applied upstream
    - Remove 0005-Replace-pytest-xdist-with-pytest-forked.patch, applied
      upstream
    - Update ftbfs-ipv6.patch
    - Add test-timeouts.patch to incrase test timeouts and avoid building
      failures
    - Add remove-junitxml-report.patch to make lintian happier
  * Set RELEASE to experimental in debian/salsa-ci.yml
  * Add lintian overrides about source-is-missing of ipython_db.html
  * Versioned Build-Dep on libtango-dev and tango-test (>= 9.4.2~rc2+dfsg1)
  * Add d/copyright data about coroutine() in tango/asyncio_tools.py

 -- Santiago Ruano Rincón <santiago@freexian.com>  Thu, 08 Jun 2023 10:34:09 -0300
