=== debian/changelog ===
pytango (9.4.2-1) unstable; urgency=low

  * Team upload.
  * New upstream version 9.4.2

 -- Santiago Ruano Rincón <santiago@freexian.com>  Fri, 11 Aug 2023 10:54:08 -0300
