=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  dh-sequence-numpy3,
  dh-sequence-python3,
  libboost-python-dev,
- libtango-dev,
+ libtango-dev (>= 9.4.2~rc2+dfsg1),
  pkg-config,
  python3-all-dev,
  python3-gevent,
@@ -22,7 +22,7 @@
  python3-pytest-forked <!nocheck>,
  python3-setuptools,
  python3-six,
- tango-test <!nocheck>,
+ tango-test (>= 9.4.2~rc2+dfsg1) <!nocheck>,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
  graphviz <!nodoc>,
